Bug 1281331 - [abrt] [IMAPx] Incorrect unref of message info on message copy
[abrt] [IMAPx] Incorrect unref of message info on message copy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3fe88447f7dfccc92b44e18f308...
: Reopened
: 1281341 1282509 1282840 1285160 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 05:27 EST by rh
Modified: 2016-08-19 20:54 EDT (History)
9 users (show)

See Also:
Fixed In Version: evolution-data-server-3.18.3-1 evolution-data-server-3.18.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 16:51:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.59 KB, text/plain)
2015-11-12 05:27 EST, rh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: core_backtrace (60.42 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: dso_list (26.68 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: environ (1.70 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: maps (125.71 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: open_fds (3.68 KB, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
File: var_log_messages (862 bytes, text/plain)
2015-11-12 05:28 EST, rh
no flags Details
'Details' from ABRT (17.87 KB, text/plain)
2016-08-18 22:46 EDT, 汪明衡
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 757789 None None None Never

  None (edit)
Description rh 2015-11-12 05:27:52 EST
Version-Release number of selected component:
evolution-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evolution
crash_function: camel_message_info_unref
executable:     /usr/bin/evolution
global_pid:     11209
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 camel_message_info_unref at camel-folder-summary.c:4538
 #1 g_hash_table_remove_all_nodes at ghash.c:548
 #3 g_hash_table_remove_all at ghash.c:1428
 #4 g_hash_table_destroy at ghash.c:1122
 #5 camel_imapx_server_copy_message_sync at camel-imapx-server.c:4310
 #6 imapx_conn_manager_copy_message_run_sync at camel-imapx-conn-manager.c:1755
 #7 camel_imapx_job_run_sync at camel-imapx-job.c:473
 #8 camel_imapx_conn_manager_run_job_sync at camel-imapx-conn-manager.c:986
 #9 imapx_conn_manager_copy_message_sync at camel-imapx-conn-manager.c:1805
 #10 camel_imapx_conn_manager_copy_message_sync at camel-imapx-conn-manager.c:1838
Comment 1 rh 2015-11-12 05:27:59 EST
Created attachment 1093116 [details]
File: backtrace
Comment 2 rh 2015-11-12 05:28:00 EST
Created attachment 1093117 [details]
File: cgroup
Comment 3 rh 2015-11-12 05:28:03 EST
Created attachment 1093118 [details]
File: core_backtrace
Comment 4 rh 2015-11-12 05:28:05 EST
Created attachment 1093119 [details]
File: dso_list
Comment 5 rh 2015-11-12 05:28:07 EST
Created attachment 1093120 [details]
File: environ
Comment 6 rh 2015-11-12 05:28:08 EST
Created attachment 1093121 [details]
File: exploitable
Comment 7 rh 2015-11-12 05:28:10 EST
Created attachment 1093122 [details]
File: limits
Comment 8 rh 2015-11-12 05:28:15 EST
Created attachment 1093123 [details]
File: maps
Comment 9 rh 2015-11-12 05:28:16 EST
Created attachment 1093124 [details]
File: mountinfo
Comment 10 rh 2015-11-12 05:28:18 EST
Created attachment 1093125 [details]
File: open_fds
Comment 11 rh 2015-11-12 05:28:19 EST
Created attachment 1093126 [details]
File: proc_pid_status
Comment 12 rh 2015-11-12 05:28:21 EST
Created attachment 1093127 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-11-16 03:31:49 EST
Thanks for a bug report. This had been fixed recently in an upstream bug [1]. See it for more details how to workaround the issue until the 3.18.3 is out.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=757789
Comment 14 Milan Crha 2015-11-16 03:33:04 EST
*** Bug 1281341 has been marked as a duplicate of this bug. ***
Comment 15 Milan Crha 2015-11-18 04:11:23 EST
*** Bug 1282840 has been marked as a duplicate of this bug. ***
Comment 16 Milan Crha 2015-11-18 04:25:14 EST
*** Bug 1282509 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2015-11-18 05:18:12 EST
evolution-data-server-3.18.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cf51e6b9dc
Comment 18 Fedora Update System 2015-11-19 10:27:05 EST
evolution-data-server-3.18.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update evolution-data-server'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cf51e6b9dc
Comment 19 Fedora Update System 2015-11-19 11:55:40 EST
evolution-data-server-3.18.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update evolution-data-server'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cf51e6b9dc
Comment 20 Milan Crha 2015-11-25 02:34:52 EST
*** Bug 1285160 has been marked as a duplicate of this bug. ***
Comment 21 Fedora Update System 2015-12-02 16:51:22 EST
evolution-data-server-3.18.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 汪明衡 2016-08-18 22:42:52 EDT
I may still get this problem. I'm not sure. On fedora 23 evolution version 3.18.5.2-1.fc23.i686, with evolution-mapi-3.18.4-1.fc23.i686.rpm installed, when trying setting up an exchange account, it crashes on clicking 'ok' button following password prompt by first clicking 'Authenticate' button on the exchange server setup window. But when I was about to report it, ABRT read 'The process had locked memory which usually indicates efforts to protect sensitive data (passwords) from being written to disk.'... I was directed to https://bugzilla.redhat.com/show_bug.cgi?id=1285160 when clicking Bugzilla, which then points me here.
Comment 23 汪明衡 2016-08-18 22:46 EDT
Created attachment 1192019 [details]
'Details' from ABRT

This is the details by clicking 'details'. don't know if it's relevant, hope it will be helpful.
Comment 24 Milan Crha 2016-08-19 04:43:09 EDT
Thanks for the update. I guess the ABRT is wrong. Both bugs were specific to IMAP, while you mention a crash after using evolution-mapi. Those are two unrelated parts. Even the ABRT's Details do not show anything related to evolution-mapi. To be honest, I do not see from it any crashing thread.

Could you open a new bug report against evolution-mapi, where we could investigate this further, please? Ideally if you can reproduce it, though not that Fedora 24 would be better, because samba libraries received many fixes between the version in Fedora 23 and Fedora 24. Anyway, as a starter for the new bug report, please try this:
a) install debuginfo packages for the the evolution-mapi, evolution-data-server,
   evolution and openchange, which can be done as root with:

   # dnf install openchange-debuginfo evolution-debuginfo \
       evolution-data-server-debuginfo evolution-mapi-debuginfo \
       --enablerepo=updates-debuginfo

   (eventually use "*-debuginfo" instead of "updates-debuginfo")

b) run evolution from terminal under gdb as a regular user:

   $ gdb evolution --ex r --ex bt --ex "t a a bt" --ex q

   This command just runs the evolution and when it breaks, it prints
   a backstrace where it stopped and then backtrace for all running threads.

c) Reproduce the issue in the evolution. In case evolution freezes, check
   the terminal, whether gdb is not waiting for an input.
d) once reproduced, copy the output of the gdb to a text file, say bt.txt.
   Please check the bt.txt for any private information, like passwords, email
   address, server addresses,... I usually search for "pass" at least (quotes
   for clarity only).

   The gdb should ask whether you want to quit at the end, which you can
   just confirm.

Then include the information in the new bug report. Thanks in advance.
Comment 25 汪明衡 2016-08-19 20:54:50 EDT
Not exactly a starter, but I've never used this sort of gdb command ;) Here is the new bug report link
https://bugzilla.redhat.com/show_bug.cgi?id=1368612

Note You need to log in before you can comment on or make changes to this bug.